Bug 732613 - Updated components.xml in the Admin guide
Summary: Updated components.xml in the Admin guide
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: doc-BRMS_Administrator_Guide
Version: BRMS 5.2.0.GA
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: BRMS 5.2.0.GA
Assignee: lcarlon
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-23 05:54 UTC by lcarlon
Modified: 2011-08-29 01:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-29 01:34:37 UTC
Type: ---


Attachments (Terms of Use)

Description lcarlon 2011-08-23 05:54:21 UTC
Components.xml needs to be updated as listed in https://bugzilla.redhat.com/show_bug.cgi?id=724559

Comment 1 lcarlon 2011-08-23 06:01:30 UTC
From BZ724559

moved RoleBasedPermissionResolver to the
org.drools.guvnor.client.security.permission package which should fix this. 
please note that this fix requires a change in the documentation -> in
components.xml from now on to configure role-based authentication it is no
longer:

<security:role-based-permission-resolver
  enable-role-based-authorization="false" />

but

<component name="org.jboss.seam.security.roleBasedPermissionResolver">
     <property name="enableRoleBasedAuthorization">false</property>
    </component>

where the value can be false (default) or true for users to set role based auth
to true.

Comment 2 lcarlon 2011-08-23 06:02:40 UTC
Changes have been made to the Admin guide and will be live on the doc stage shortly:

http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Enterprise_BRMS_Platform/5/html/BRMS_Administrator_Guide/chap-security.html#sect-security_authentication

Comment 3 Lukáš Petrovický 2011-08-25 07:19:50 UTC
QE verifies that the changes have been made.


Note You need to log in before you can comment on or make changes to this bug.